package com.inkasso.factoring.system.department.vo;


import com.inkasso.factoring.system.department.entity.Department;

import java.util.ArrayList;
import java.util.List;

/**
 * @Description :
 * @Author : L.Jia
 * @Date: 2024-01-23 13:55
 */
public class DepartmentVo {

    /**
     * Id
     */
    private Long id;

    /**
     * 父级组织机构
     */
    private Long parentId;

    /**
     * 名称
     */
    private String name;

    /**
     * 部门编码
     */
    private String deptCode;

    private List<DepartmentVo> children = new ArrayList<>();

    public DepartmentVo() {
    }

    public DepartmentVo(Department department) {
        this.id = department.getId();
        this.parentId = department.getParentId();
        this.name = department.getName();
        this.deptCode = department.getDeptCode();
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDeptCode() {
        return deptCode;
    }

    public void setDeptCode(String deptCode) {
        this.deptCode = deptCode;
    }

    public List<DepartmentVo> getChildren() {
        return children;
    }

    public void setChildren(List<DepartmentVo> children) {
        this.children = children;
    }
}
